Subject: Re: bug#32825: 27.0.50; Deterministic window management

From: Juri Linkov <[email-masked]>
Date: Mon, 05 Nov 2018 23:56:06 +0200

>> If I understand correctly the purpose of your function, maybe a better
>> name would be display-buffer-try?  Or if it also checks some predefined
>> values, then maybe display-buffer-assert?
>
> We already have 'display-buffer-try', we call it 'display-buffer'.
> This one would then be better called 'display-buffer-try-and-revert'
> or maybe 'display-buffer-invisibly'.

This resembles more with-like functions such as with-selected-frame
and with-selected-window.  Maybe then call it with-display-buffer
or with-displayed-buffer.